#!/bin/bash

echo Configure logs
    mkdir -p /var/log/{apache2,nginx,pgadmin,postgresql}
    chmod root:postgres /var/log/postgresql -R

echo Configure volumes
    [ -e /web/frontend/node_modules ] || ln -s /web/node /web/frontend/node_modules
    [ -e /web/backend/var ] || ln -s /web/var /web/backend/var
    [ -e /web/backend/vendor ] || ln -s /web/vendor /web/backend/vendor

echo Starting php-fpm server
    service php8.0-fpm start

echo Starting nginx server
    service nginx start

echo Starting apache2 server for pgAdmin4
    service apache2 start

echo Starting postgresql database
    service postgresql start

echo Starting ssh server
    service ssh start

echo Configure database
    su postgres -c psql postgres < /web/config/postgres/init-data.sql

echo Configure symfony
    cd /web/backend
    composer install 

echo Configure angular
    cd /web/frontend
    npm i

echo Starting angular
    ng serve
